<div class="form-container">
  <h2>Login</h2>
  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="login">
    <div class="form-group">
      <label for="username">
        <span>Username</span>
      </label>
      <input
        type="text"
        name="username"
        formControlName="username"
        [className]="validationStyles['username'].inputClasses"
        (input)="onInputChange('username')"
      />
      <div [className]="validationStyles['username'].msgClasses">
        <p>{{ errorMsgMap["username"] }}</p>
      </div>
      <div [className]="validationStyles['username'].iconClasses">
        <fa-icon [icon]="faCircleXmark" size="xl" class="error-icon"></fa-icon>
      </div>
    </div>
    <div class="form-group">
      <label for="password">
        <span>Password</span>
      </label>
      <input
        type="password"
        name="password"
        formControlName="password"
        [className]="validationStyles['password'].inputClasses"
        (input)="onInputChange('password')"
      />
      <div [className]="validationStyles['password'].msgClasses">
        <p>{{ errorMsgMap["password"] }}</p>
      </div>
      <div [className]="validationStyles['password'].iconClasses">
        <fa-icon [icon]="faCircleXmark" size="xl" class="error-icon"></fa-icon>
      </div>
    </div>
    <div class="button-container">
      <button type="submit" class="btn-success">Login</button>
    </div>
  </form>
</div>
<div class="login-signup-message">
  <a type="presentation" [routerLink]="['signup']"
    >Not Registered? Signup Here!</a
  >
</div>
